Get API key
curl --request GET \
--url https://your-instance.example.com/api/account/keys/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://your-instance.example.com/api/account/keys/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.example.com/api/account/keys/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.example.com/api/account/keys/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://your-instance.example.com/api/account/keys/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"createdAt": "<string>",
"expiresAt": "<string>",
"id": "<string>",
"isActive": true,
"label": "<string>",
"lastUsed": "<string>",
"scopes": [
"<string>"
]
}{
"error": "missing or invalid API key"
}{
"docs": "https://docs.polymorfa.com/api/sessions",
"error": "session not found"
}{
"error": "internal server error"
}{
"docs": "<string>",
"error": "<string>"
}account
Get API key
Returns details of a specific API key
GET
/
api
/
account
/
keys
/
{id}
Get API key
Authorizations
Scoped API key created via POST /api/account/keys.
Path Parameters
API key ID
Response
OK
When the key was created
When the key expires
Unique API key identifier
Whether the key is active and can be used for authentication
Human-readable label for the key
When the key was last used for authentication
Permission scopes as string names